Loading...
Searching...
No Matches
_xmlElement Struct Reference

An XML Element declaration from a DTD. More...

`#include <tree.h>`

## Data Fields

void * | _private
| application data
xmlElementType | type
| XML_ELEMENT_DECL.
const xmlChar * | name
| element name
struct _xmlNode * | children
| NULL.
struct _xmlNode * | last
| NULL.
struct _xmlDtd * | parent
| -> DTD
struct _xmlNode * | next
| next sibling
struct _xmlNode * | prev
| previous sibling
struct _xmlDoc * | doc
| containing document
xmlElementTypeVal | etype
| element type
xmlElementContent * | content
| allowed element content
xmlAttribute * | attributes
| list of declared attributes
const xmlChar * | prefix
| namespace prefix if any
xmlRegexp * | contModel
| validating regexp

## Detailed Description

An XML Element declaration from a DTD.

Should be treated as opaque. Accessing members directly is deprecated.

The documentation for this struct was generated from the following file:

- tree.h